/***文档注释***********************************************
 * 作者               :               
 * 创建日期      :                   2018.2.5
 * 描述               :        			
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.orm.annotation.Column;


public class ComBasePhyRItemApi  {

	/** 材质检验项代码 */
	@Column("PHY_CODE_S")
	private String phy_Code_S;

	/** 材质检验项名称 */
	@Column("PHY_NAME_S")
	private String phy_Name_S;

	/** 材质大类(A:拉伸,B:冲击,C:硬度....) */
	@Column("PHY_CODE_L")
	private String phy_Code_L;
	
	private String phy_Name_L;

	/** 试样组代码 */
	@Column("PHY_CODE_M")
	private String phy_Code_M;
	
	private String phy_Name_M;

	/** 项目代码_方向 */
	@Column("ITEM_CODE_D")
	private String item_Code_D;
	
	private String item_Name_D;

	/** 项目代码_尺寸 */
	@Column("ITEM_CODE_S")
	private String item_Code_S;
	
	private String item_Name_S;

	/** 项目代码_温度 */
	@Column("ITEM_CODE_T")
	private String item_Code_T;
	
	
	private String item_Name_T;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String create_Name;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_Time;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String update_Name;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_Time;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String delete_Name;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_Time;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	public String getPhy_Code_S() {
		return phy_Code_S;
	}

	public void setPhy_Code_S(String phy_Code_S) {
		this.phy_Code_S = phy_Code_S;
	}

	public String getPhy_Name_S() {
		return phy_Name_S;
	}

	public void setPhy_Name_S(String phy_Name_S) {
		this.phy_Name_S = phy_Name_S;
	}

	public String getPhy_Code_L() {
		return phy_Code_L;
	}

	public void setPhy_Code_L(String phy_Code_L) {
		this.phy_Code_L = phy_Code_L;
	}

	public String getPhy_Name_L() {
		return phy_Name_L;
	}

	public void setPhy_Name_L(String phy_Name_L) {
		this.phy_Name_L = phy_Name_L;
	}

	public String getPhy_Code_M() {
		return phy_Code_M;
	}

	public void setPhy_Code_M(String phy_Code_M) {
		this.phy_Code_M = phy_Code_M;
	}

	public String getPhy_Name_M() {
		return phy_Name_M;
	}

	public void setPhy_Name_M(String phy_Name_M) {
		this.phy_Name_M = phy_Name_M;
	}

	public String getItem_Code_D() {
		return item_Code_D;
	}

	public void setItem_Code_D(String item_Code_D) {
		this.item_Code_D = item_Code_D;
	}

	public String getItem_Name_D() {
		return item_Name_D;
	}

	public void setItem_Name_D(String item_Name_D) {
		this.item_Name_D = item_Name_D;
	}

	public String getItem_Code_S() {
		return item_Code_S;
	}

	public void setItem_Code_S(String item_Code_S) {
		this.item_Code_S = item_Code_S;
	}

	public String getItem_Name_S() {
		return item_Name_S;
	}

	public void setItem_Name_S(String item_Name_S) {
		this.item_Name_S = item_Name_S;
	}

	public String getItem_Code_T() {
		return item_Code_T;
	}

	public void setItem_Code_T(String item_Code_T) {
		this.item_Code_T = item_Code_T;
	}

	public String getItem_Name_T() {
		return item_Name_T;
	}

	public void setItem_Name_T(String item_Name_T) {
		this.item_Name_T = item_Name_T;
	}

	public String getCreate_Name() {
		return create_Name;
	}

	public void setCreate_Name(String create_Name) {
		this.create_Name = create_Name;
	}

	public Date getCreate_Time() {
		return create_Time;
	}

	public void setCreate_Time(Date create_Time) {
		this.create_Time = create_Time;
	}

	public String getUpdate_Name() {
		return update_Name;
	}

	public void setUpdate_Name(String update_Name) {
		this.update_Name = update_Name;
	}

	public Date getUpdate_Time() {
		return update_Time;
	}

	public void setUpdate_Time(Date update_Time) {
		this.update_Time = update_Time;
	}

	public String getDelete_Name() {
		return delete_Name;
	}

	public void setDelete_Name(String delete_Name) {
		this.delete_Name = delete_Name;
	}

	public Date getDelete_Time() {
		return delete_Time;
	}

	public void setDelete_Time(Date delete_Time) {
		this.delete_Time = delete_Time;
	}

	public String getValidflag() {
		return validflag;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	
}
